<?php
/*
 * Business Consultant Main Sidebar
 */
function business_consultant_widgets_init() {
    register_sidebar(array(
        'name' => __('Main Sidebar', 'business-consultant'),
        'id' => 'sidebar-1',
        'description' => __('Main sidebar that appears on the right.', 'business-consultant'),
        'before_widget' => '<aside id="%1$s" class="menu-left widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));
    register_sidebar(array(
        'name' => __('Footer 1', 'business-consultant'),
        'id' => 'footer-1',
        'description' => __('Footer that appears on the down.', 'business-consultant'),
        'before_widget' => '<aside id="%1$s" class="footer-widget widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));
    register_sidebar(array(
        'name' => __('Footer 2', 'business-consultant'),
        'id' => 'footer-2',
        'description' => __('Footer that appears on the down.', 'business-consultant'),
        'before_widget' => '<aside id="%1$s" class="footer-widget widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));
    register_sidebar(array(
        'name' => __('Footer 3', 'business-consultant'),
        'id' => 'footer-3',
        'description' => __('Footer that appears on the down.', 'business-consultant'),
        'before_widget' => '<aside id="%1$s" class="footer-widget widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));
    register_sidebar(array(
        'name' => __('Footer 4', 'business-consultant'),
        'id' => 'footer-4',
        'description' => __('Footer that appears on the down.', 'business-consultant'),
        'before_widget' => '<aside id="%1$s" class="footer-widget widget widget_recent_entries %2$s">',
        'after_widget' => '</aside>',
        'before_title' => '<h6>',
        'after_title' => '</h6>',
    ));
}
add_action('widgets_init', 'business_consultant_widgets_init');
/**
 * Set up post entry meta.    
 * Meta information for current post: categories, tags, permalink, author, and date.    
 * */
function business_consultant_entry_meta() {
	$business_consultant_author= ucfirst(get_the_author());
	$business_consultant_author_url=  get_author_posts_url( get_the_author_meta( 'ID' ) ) ;?>	
    <p><?php esc_html_e('By : ', 'business-consultant'); ?><a href="<?php echo esc_url($business_consultant_author_url); ?>" rel="tag"><?php echo esc_html($business_consultant_author); ?></a> - <?php echo sprintf('<time datetime="%1$s">%2$s</time>', esc_html(get_the_date('c')), esc_html(get_the_date(get_option( 'date_format' )))); ?></p>
<?php 	
}
/*
* Function For Tag Meta List
*/
function business_consultant_tag_meta() {
	$business_consultant_tag_list = get_the_tag_list('', ', #' );
	if(!empty($business_consultant_tag_list)) { ?>
	<div class="single-blog-tag"><?php echo sprintf(  '<span>%1$s</span>#%2$s',esc_html__('Tag :','business-consultant'),$business_consultant_tag_list); ?></div>
	<?php }
}

/*
* TGM plugin activation register hook 
*/
add_action( 'tgmpa_register', 'business_consultant_required_plugins' );
function business_consultant_required_plugins() {
    if(class_exists('TGM_Plugin_Activation')){
      $plugins = array(
        array(
           'name'      => __('Page Builder by SiteOrigin','business-consultant'),
           'slug'      => 'siteorigin-panels',
           'required'  => false,
        ),
        array(
           'name'      => __('SiteOrigin Widgets Bundle','business-consultant'),
           'slug'      => 'so-widgets-bundle',
           'required'  => false,
        ),
        array(
           'name'      => __('Contact Form 7','business-consultant'),
           'slug'      => 'contact-form-7',
           'required'  => false,
        ),
      );
      $config = array(
        'default_path' => '',
        'menu'         => 'Business Consultantpro-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
        'strings'      => array(
           'page_title'                      => esc_html__( 'Install Required Plugins', 'business-consultant' ),
           'menu_title'                      => esc_html__( 'Install Plugins', 'business-consultant' ),
           'installing'                      => /* translators: %s: name. */esc_html__( 'Installing Plugin: %s', 'business-consultant' ),             
           'nag_type'                        => 'updated'
        )
      );
      business_consultant( $plugins, $config );
    }
}
